
* ___________________________________ *
*      Example Data Cleaning File     *
* ___________________________________ *
*
* Created:      13 April 2023
* Last Updated: 14 April 2023
*
* ~ cleans the data for presentation
*
* Brady Rippon
* ___________________________________ * ;


* specify working directory;
%macro project;

%local fr rc dir path;
%let rc = %sysfunc(filename(fr,.));
%let dir = %sysfunc(pathname(&fr));
%let rc = %sysfunc(filename(fr));
%let code = \Code;

%let path = %sysfunc(tranwrd(&dir., &code., %str()));
&path

%mend project;
%let path = %project;


* import external macros;
%include "&path\Code\macros.sas";

* _______________________________________________ * ;


* import dataset;
proc import out=iris
	datafile="&path\Data\Raw\iris.csv"
	dbms=csv replace;
run;

* check size of the dataset (using custom macro);
%size(iris); * read log;


* data cleaning . . . ;
